/*  Auteur: Simon Pauw
    Project: Arduinocursus ZB45
    Datum: April 2016
    Programma: PWM
    Beschrijving: Sluit een drukknop aan op pin 4 en open de Seriele monitor. Deze sketch laat zien of de drukknop is ingedrukt.
*/

// Setup: Dit wordt 1 keer uitgevoerd, direct na het starten van de Arduino.
void setup() {
  // Stel pin 4 in als input.
  pinMode(4, INPUT);

  // STel pin 2 in als output.
  pinMode(2, OUTPUT);

  // Start een serielen (USB) verbinding met de computer
  Serial.begin(9600);

  // Wacht even tot de seriele verbinding is gestart
  delay(500);
}

// Loop: Deze code wordt eindeloos herhaald.
void loop() {
  // Lees de waarde op pin 4 om te zien of de drukkop is ingedrukt
  if (digitalRead(4) == HIGH) {
    // Als er een hoog voltage (5V) op de pin staat, is de knop NIET ingedrukt.
    // Stuur een bericht naar de computer.
    Serial.println("De drukknop is NIET ingedrukt.");

    // Zet de LED aan.
    digitalWrite(2, HIGH);
    
  } else {
    // Anders (de waarde is 0V) is de knop WEL ingedrukt.
    // Stuur een bericht naar de computer.
    Serial.println("De drukknop is WEL ingedrukt.");
    
    // Doe de LED uit.
    digitalWrite(2, LOW);
  }
  delay(500);
}
